# Class InputMonthMaskWebElement

The component WebElement for oj-c-input-month-mask. Do not instantiate this class directly, instead, use findInputMonthMask.

#### Hierarchy

- InputMonthMaskWebElementBase
  - InputMonthMaskWebElement

#####
Index

### Constructors

constructor

### Methods

changeDate
changeMessagesCustom
changeValue
clear
click
findElement
findElements
getAttribute
getColumnSpan
getContainerReadonly
getCssValue
getDateRangeOverflowMessageDetail
getDateRangeUnderflowMessageDetail
getDisabled
getDisplayOptions
getDriver
getHelp
getHelpHints
getId
getLabelEdge
getLabelHint
getLabelStartWidth
getLabelWrapping
getLocation
getMax
getMessagesCustom
getMin
getProperty
getRawValue
getReadonly
getRect
getRequired
getRequiredMessageDetail
getShadowRoot
getSize
getTagName
getText
getTextAlign
getUserAssistanceDensity
getValid
getValidators
getValue
hasSize
hasVisibility
isDisplayed
isEnabled
isSelected
sendKeys
serialize
setProperty
submit
takeScreenshot
whenBusyContextReady
whenReady
buildId
equals
extractId
isId

## Constructors

### constructor

- new InputMonthMaskWebElement(el, locators): InputMonthMaskWebElement

- Constructor. Pass an instance of WebDriver's WebElement that represents the DOM node on which we"ll perform operations.

  #### Parameters

  - ##### el: WebElement

    The basic WebElement with which this WebElement will work.

  - ##### locators: ElementLocators

  #### Returns InputMonthMaskWebElement

  Inherited from InputMonthMaskWebElementBase.constructor

## Methods

### changeDate

- changeDate(value): Promise<void>

- Sets the value of `value` property. The value of the component.

  #### Parameters

  - ##### value: Required<CalendarMonth>

    The value to set for `value`

  #### Returns Promise<void>

### changeMessagesCustom

- changeMessagesCustom(messagesCustom): Promise<void>

- Sets the value of `messagesCustom` property. List of custom component messages

  #### Parameters

  - ##### messagesCustom: MessagesCustom[]

    The value to set for `messagesCustom`

  #### Returns Promise<void>

  Inherited from InputMonthMaskWebElementBase.changeMessagesCustom

### changeValue

- changeValue(value): Promise<void>

- Sets the value of `value` property. The value of the component.

  #### Parameters

  - ##### value: null | Value

    The value to set for `value`

  #### Returns Promise<void>

  Inherited from InputMonthMaskWebElementBase.changeValue

### clear

- clear(): Promise<void>

- #### Returns Promise<void>

  #### Inherit Doc

  Inherited from InputMonthMaskWebElementBase.clear

### click

- click(): Promise<void>

- #### Returns Promise<void>

  #### Inherit Doc

  Inherited from InputMonthMaskWebElementBase.click

### findElement

- findElement(locator): WebElementPromise

- #### Parameters

  - ##### locator: Locator

  #### Returns WebElementPromise

  #### Inherit Doc

  Inherited from InputMonthMaskWebElementBase.findElement

### findElements

- findElements(locator): Promise<WebElement[]>

- #### Parameters

  - ##### locator: Locator

  #### Returns Promise<WebElement[]>

  #### Inherit Doc

  Inherited from InputMonthMaskWebElementBase.findElements

### getAttribute

- getAttribute(attributeName): Promise<string>

- #### Parameters

  - ##### attributeName: string

  #### Returns Promise<string>

  #### Inherit Doc

  Inherited from InputMonthMaskWebElementBase.getAttribute

### getColumnSpan

- getColumnSpan(): Promise<number>

- Gets the value of `columnSpan` property. Specifies how many columns this component should span.

  #### Returns Promise<number>

  The value of `columnSpan` property.

  Inherited from InputMonthMaskWebElementBase.getColumnSpan

### getContainerReadonly

- getContainerReadonly(): Promise<boolean>

- Gets the value of `containerReadonly` property. Specifies whether an ancestor container, like oj-c-form-layout, is readonly.

  #### Returns Promise<boolean>

  The value of `containerReadonly` property.

  Inherited from InputMonthMaskWebElementBase.getContainerReadonly

### getCssValue

- getCssValue(cssStyleProperty): Promise<string>

- #### Parameters

  - ##### cssStyleProperty: string

  #### Returns Promise<string>

  #### Inherit Doc

  Inherited from InputMonthMaskWebElementBase.getCssValue

### getDateRangeOverflowMessageDetail

- getDateRangeOverflowMessageDetail(): Promise<null>

- Gets the value of `dateRangeOverflowMessageDetail` property. Overrides the default validator's rangeOverflow message detail.

  #### Returns Promise<null>

  The value of `dateRangeOverflowMessageDetail` property.

  Inherited from InputMonthMaskWebElementBase.getDateRangeOverflowMessageDetail

### getDateRangeUnderflowMessageDetail

- getDateRangeUnderflowMessageDetail(): Promise<null>

- Gets the value of `dateRangeUnderflowMessageDetail` property. Overrides the default validator's rangeUnderflow message detail.

  #### Returns Promise<null>

  The value of `dateRangeUnderflowMessageDetail` property.

  Inherited from InputMonthMaskWebElementBase.getDateRangeUnderflowMessageDetail

### getDisabled

- getDisabled(): Promise<boolean>

- Gets the value of `disabled` property. Specifies whether the component is disabled.

  #### Returns Promise<boolean>

  The value of `disabled` property.

  Inherited from InputMonthMaskWebElementBase.getDisabled

### getDisplayOptions

- getDisplayOptions(): Promise<DisplayOptions>

- Gets the value of `displayOptions` property. Display options for auxiliary content that determines whether or not it should be displayed.

  #### Returns Promise<DisplayOptions>

  The value of `displayOptions` property.

  Inherited from InputMonthMaskWebElementBase.getDisplayOptions

### getDriver

- getDriver(): WebDriver

- #### Returns WebDriver

  The parent driver for this instance.

  Inherited from InputMonthMaskWebElementBase.getDriver

### getHelp

- getHelp(): Promise<Help>

- Gets the value of `help` property. Form component help information.

  #### Returns Promise<Help>

  The value of `help` property.

  Inherited from InputMonthMaskWebElementBase.getHelp

### getHelpHints

- getHelpHints(): Promise<HelpHints>

- Gets the value of `helpHints` property. The helpHints object contains a definition property and a source property.

  #### Returns Promise<HelpHints>

  The value of `helpHints` property.

  Inherited from InputMonthMaskWebElementBase.getHelpHints

### getId

- getId(): Promise<string>

- #### Returns Promise<string>

  A promise that resolves to the server-assigned opaque ID assigned to this element.

  Inherited from InputMonthMaskWebElementBase.getId

### getLabelEdge

- getLabelEdge(): Promise<string>

- Gets the value of `labelEdge` property. Specifies how the label is positioned for the component

  #### Returns Promise<string>

  The value of `labelEdge` property.

  Inherited from InputMonthMaskWebElementBase.getLabelEdge

### getLabelHint

- getLabelHint(): Promise<string>

- Gets the value of `labelHint` property. Represents a hint for rendering a label on the component.

  #### Returns Promise<string>

  The value of `labelHint` property.

  Inherited from InputMonthMaskWebElementBase.getLabelHint

### getLabelStartWidth

- getLabelStartWidth(): Promise<string | number>

- Gets the value of `labelStartWidth` property. The width of the label when labelEdge is 'start'.

  #### Returns Promise<string | number>

  The value of `labelStartWidth` property.

  Inherited from InputMonthMaskWebElementBase.getLabelStartWidth

### getLabelWrapping

- getLabelWrapping(): Promise<string>

- Gets the value of `labelWrapping` property. Should the labels wrap or truncate when there is not enough available space.

  #### Returns Promise<string>

  The value of `labelWrapping` property.

  #### Deprecated

  Since 18.0.0. Label truncation for 'start' and 'top' aligned labels is no longer recommended by the Redwood Design System. The default for labelWrapping was 'wrap' and that is now the only suggested pattern by UX design for 'start' and 'top' aligned labels. 'inside' aligned labels are always truncated per UX design and are not affected by this property's value.

  Inherited from InputMonthMaskWebElementBase.getLabelWrapping

### getLocation

- getLocation(): Promise<ILocation>

- #### Returns Promise<ILocation>

  #### Inherit Doc

  Inherited from InputMonthMaskWebElementBase.getLocation

### getMax

- getMax(): Promise<null | Max>

- Gets the value of `max` property. The maximum selectable year and month

  #### Returns Promise<null | Max>

  The value of `max` property.

  Inherited from InputMonthMaskWebElementBase.getMax

### getMessagesCustom

- getMessagesCustom(): Promise<MessagesCustom[]>

- Gets the value of `messagesCustom` property. List of custom component messages

  #### Returns Promise<MessagesCustom[]>

  The value of `messagesCustom` property.

  Inherited from InputMonthMaskWebElementBase.getMessagesCustom

### getMin

- getMin(): Promise<null | Min>

- Gets the value of `min` property. The minimum selectable year and month

  #### Returns Promise<null | Min>

  The value of `min` property.

  Inherited from InputMonthMaskWebElementBase.getMin

### getProperty

- getProperty<T>(propertyName): Promise<T>

- Get a named property value from this component. This function will wait for the application's busy context to complete before attempting to get the property value.

  #### Type Parameters

  - #### T = string

  #### Parameters

  - ##### propertyName: string

    The name of the property

  #### Returns Promise<T>

  A Promise that yields a value for the named property.

  Inherited from InputMonthMaskWebElementBase.getProperty

### getRawValue

- getRawValue(): Promise<RawValue>

- Gets the value of `rawValue` property. Specifies how the raw value of the component

  #### Returns Promise<RawValue>

  The value of `rawValue` property.

  Inherited from InputMonthMaskWebElementBase.getRawValue

### getReadonly

- getReadonly(): Promise<boolean>

- Gets the value of `readonly` property. Whether the component is readonly

  #### Returns Promise<boolean>

  The value of `readonly` property.

  Inherited from InputMonthMaskWebElementBase.getReadonly

### getRect

- getRect(): Promise<IRectangle>

- #### Returns Promise<IRectangle>

  #### Inherit Doc

  Inherited from InputMonthMaskWebElementBase.getRect

### getRequired

- getRequired(): Promise<boolean>

- Gets the value of `required` property. Specifies whether or not the component is required.

  #### Returns Promise<boolean>

  The value of `required` property.

  Inherited from InputMonthMaskWebElementBase.getRequired

### getRequiredMessageDetail

- getRequiredMessageDetail(): Promise<string>

- Gets the value of `requiredMessageDetail` property. Overrides the default Required error message.

  #### Returns Promise<string>

  The value of `requiredMessageDetail` property.

  Inherited from InputMonthMaskWebElementBase.getRequiredMessageDetail

### getShadowRoot

- getShadowRoot(): ShadowRootPromise

- Get the shadow root of the current web element.

  #### Returns ShadowRootPromise

  A promise that will be resolved with the elements shadow root or rejected with NoSuchShadowRootError

  Inherited from InputMonthMaskWebElementBase.getShadowRoot

### getSize

- getSize(): Promise<ISize>

- #### Returns Promise<ISize>

  #### Inherit Doc

  Inherited from InputMonthMaskWebElementBase.getSize

### getTagName

- getTagName(): Promise<string>

- Schedules a command to query for the tag/node name of this element.

  #### Returns Promise<string>

  A promise that will be resolved with the element's tag name.

  Inherited from InputMonthMaskWebElementBase.getTagName

### getText

- getText(): Promise<string>

- #### Returns Promise<string>

  #### Inherit Doc

  Inherited from InputMonthMaskWebElementBase.getText

### getTextAlign

- getTextAlign(): Promise<string>

- Gets the value of `textAlign` property. Specifies how the text is aligned within the text field

  #### Returns Promise<string>

  The value of `textAlign` property.

  Inherited from InputMonthMaskWebElementBase.getTextAlign

### getUserAssistanceDensity

- getUserAssistanceDensity(): Promise<string>

- Gets the value of `userAssistanceDensity` property. Specifies the density of the form component's user assistance presentation.

  #### Returns Promise<string>

  The value of `userAssistanceDensity` property.

  Inherited from InputMonthMaskWebElementBase.getUserAssistanceDensity

### getValid

- getValid(): Promise<string>

- Gets the value of `valid` property. Specifies how the valid state of the component

  #### Returns Promise<string>

  The value of `valid` property.

  Inherited from InputMonthMaskWebElementBase.getValid

### getValidators

- getValidators(): Promise<null | object[]>

- Gets the value of `validators` property. Specifies the validators for the component.

  #### Returns Promise<null | object[]>

  The value of `validators` property.

  Inherited from InputMonthMaskWebElementBase.getValidators

### getValue

- getValue(): Promise<null | Value>

- Gets the value of `value` property. The value of the component.

  #### Returns Promise<null | Value>

  The value of `value` property.

  Inherited from InputMonthMaskWebElementBase.getValue

### `Protected` hasSize

- hasSize(): Condition<Promise<boolean>>

- Create a wait condition that is satisfied when the element's DOM has a non-zero size.

  #### Returns Condition<Promise<boolean>>

  The Condition to be used with driver.wait() that's satisfied when the element's DOM has a non-zero size.

  #### Deprecated

  Since 11.0.0. Call the appropriate WebElement method to test the size of the element.

  Inherited from InputMonthMaskWebElementBase.hasSize

### `Protected` hasVisibility

- hasVisibility(): Condition<Promise<boolean>>

- Create a wait condition that is satisfid when the element is visible. The condition is satisfied when the element is displayed, as reported by #isDisplayed, and is scrolled into view. This is method is deprecated. Use WebElement.isDisplayed instead to test the display of the element, and scroll it into view if necessary.

  #### Returns Condition<Promise<boolean>>

  #### Deprecated

  Inherited from InputMonthMaskWebElementBase.hasVisibility

### isDisplayed

- isDisplayed(): Promise<boolean>

- #### Returns Promise<boolean>

  #### Inherit Doc

  Inherited from InputMonthMaskWebElementBase.isDisplayed

### isEnabled

- isEnabled(): Promise<boolean>

- #### Returns Promise<boolean>

  #### Inherit Doc

  Inherited from InputMonthMaskWebElementBase.isEnabled

### isSelected

- isSelected(): Promise<boolean>

- #### Returns Promise<boolean>

  #### Inherit Doc

  Inherited from InputMonthMaskWebElementBase.isSelected

### sendKeys

- sendKeys(...varArgs): Promise<void>

- #### Parameters

  - ##### `Rest` ...varArgs: (string | number | Promise<string | number>)[]

  #### Returns Promise<void>

  #### Inherit Doc

  Inherited from InputMonthMaskWebElementBase.sendKeys

### serialize

- serialize(): Promise<IWebElementId>

- #### Returns Promise<IWebElementId>

  Inherited from InputMonthMaskWebElementBase.serialize

### `Protected` setProperty

- setProperty<T>(propertyName, value): Promise<void>

- Set a property value on the remote element. This function first waits for the BusyContext to clear before setting the property, then after setting, waits again to ensure that no additional busy states were created due to the property setting.

  #### Type Parameters

  - #### T = string

  #### Parameters

  - ##### propertyName: string

    The property name to set

  - ##### value: T

    The value to set for the property

  #### Returns Promise<void>

  A Promise which resolves when the remote property has been set to the value. Any value returned from the call to set the remote property is returned in the Promise.

  Inherited from InputMonthMaskWebElementBase.setProperty

### submit

- submit(): Promise<void>

- #### Returns Promise<void>

  #### Inherit Doc

  Inherited from InputMonthMaskWebElementBase.submit

### takeScreenshot

- takeScreenshot(optScroll?): Promise<string>

- #### Parameters

  - ##### `Optional` optScroll: boolean

  #### Returns Promise<string>

  #### Inherit Doc

  Inherited from InputMonthMaskWebElementBase.takeScreenshot

### whenBusyContextReady

- whenBusyContextReady(): Promise<void>

- Returns a Promise that is resolved when the application's busy state reports ready. This method checks only that the application's busy context is ready, and not that the DOM element is actually displayed or has a physical size, such as is the case with #whenReady. Operations which are read-only in nature should call this method prior to execution.

  #### Returns Promise<void>

  A Promise which is resolved when the page's busy state is ready.

  Inherited from InputMonthMaskWebElementBase.whenBusyContextReady

### whenReady

- whenReady(): Promise<void>

- Returns a Promise that is resolved when the element is ready for interaction--it is visible, has a size, and the app's busy context is ready. Operations on the DOM which rely on its physical location and size to be in a "ready" state should use this command, such as clicking, sending keys, locating child elements, and so on.

  #### Returns Promise<void>

  A Promise that's resolved when all conditions are met.

  Inherited from InputMonthMaskWebElementBase.whenReady

### `Static` buildId

- buildId(id, opt_noLegacy?): IWebElementId

- #### Parameters

  - ##### id: string

    The raw ID.

  - ##### `Optional` opt_noLegacy: boolean

    Whether to exclude the legacy element key.

  #### Returns IWebElementId

  The element ID for use with WebDriver's wire protocol.

  Inherited from InputMonthMaskWebElementBase.buildId

### `Static` equals

- equals(a, b): Promise<boolean>

- Compares two WebElements for equality.

  #### Parameters

  - ##### a: WebElement

    A WebElement.

  - ##### b: WebElement

    A WebElement.

  #### Returns Promise<boolean>

  A promise that will be resolved to whether the two WebElements are equal.

  Inherited from InputMonthMaskWebElementBase.equals

### `Static` extractId

- extractId(obj): string

- Extracts the encoded WebElement ID from the object.

  #### Parameters

  - ##### obj: IWebElementId

    The object to extract the ID from.

  #### Returns string

  the extracted ID.

  #### Throws

  if the object is not a valid encoded ID.

  Inherited from InputMonthMaskWebElementBase.extractId

### `Static` isId

- isId(obj): boolean

- #### Parameters

  - ##### obj: IWebElementId

    the object to test.

  #### Returns boolean

  whether the object is a valid encoded WebElement ID.

  Inherited from InputMonthMaskWebElementBase.isId

Generated using TypeDoc